`timescale 1ns / 1ps

/* this syntax avoids compiler warnings (Macro 'TEXT' redifined):
`ifndef  TEXT   `define TEXT  8  
`endif

This is the first project that uses ethernet with internal BRAM 
buffers, to make things easier....  1/10/06

1. Change histLUM to latch data on read, assert goRead,
   and wait for read to go away
*/

// INCREMENT HERE AT EVERY NEW VERSION:
`ifndef  FPGAversionN              `define  FPGAversionN        'h18  
`endif

`ifndef  BCN_WIDTH                 `define  BCN_WIDTH            12  
`endif
`ifndef  HCN_WIDTH                 `define  HCN_WIDTH            10  
`endif
`ifndef  LB_Addr_Size              `define  LB_Addr_Size          7
`endif
`ifndef  ORN_WIDTH                 `define  ORN_WIDTH             8
`endif
`ifndef  REG_WIDTH                 `define  REG_WIDTH            16
`endif  // if changed: arrange LocBusSlave iobuf's
`ifndef  SpyFIFO_WIDTH             `define  SpyFIFO_WIDTH        18  
`endif


/* NB: after introducing this file, the other *.v files sometimes 
were not recognized as verilog modules by ISE. Editing and saving 
them usually fix the problem */
