`timescale 1ns / 1ps
////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer:
//
// Create Date:    14:55:04 01/30/06
// Design Name:    
// Module Name:    ipChecksum
// Project Name:   
// Target Device:  
// Tool versions:  
// Description:
//
// Dependencies:
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
////////////////////////////////////////////////////////////////////////////////
module ipChecksum(sysclk,reset,data,add,checksum);
    input sysclk;
    input reset;
    input [15:0] data;
    input add;
    output [15:0] checksum;


        reg [15:0] checksumReg;
        reg [16:0] partialSum;
	reg wasAdd;

assign checksum=~checksumReg;

always @(posedge sysclk)
	wasAdd<=add;

always @(posedge sysclk)
	if (reset) partialSum<=0;
	else if (add) partialSum<=checksumReg+data;


always @(posedge sysclk) 
    	if (reset) checksumReg<=0;
     	else if (wasAdd) checksumReg<=partialSum[15:0]+partialSum[16];

endmodule
